Subject: bug#34639: 26.1; Custom themes break terminal when switching to org-mode

From: Richard Stallman <[email-masked]>
Date: Fri, 01 Mar 2019 22:28:27 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > It's not easy, but should be possible, of course.  However, I don't
  > want to do that at this time, because we don't have any way of letting
  > more than one feature use the display margins without interfering with
  > one another.  Until we have an infrastructure in place to allow such
  > sharing of the margins, I firmly believe that core features should not
  > usurp the display margins, and will object to any core feature that
  > tries.

Why is it better if people use the display margins via
linum (not core) rather than by an option in native line numbers?
I don't see that it makes much difference to the issues of
future maintenance.

What happens if two features try to use the display margins?
What does the interference look like?  I suppose they can't both work
properly, but does it cause anything worse than that?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)